/*
 * ArduinoExt is a set of utility libraries for Arduino
 * Copyright (C) 2016, 2017 Andrey V. Skvortsov <starling13@mail.ru>
 *
 * This program is free software: is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation, either version 3 of
 * the License, or (at your option) any later version.

 * ArduinoExt library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with Posixcpp library. If not, see
 * <http://www.gnu.org/licenses/>.
 */

#ifndef VGATERMINAL_HPP
#define VGATERMINAL_HPP

#include "vt100.hpp"

class Videoterminal : public VT100::Print
{
	// VT100::Print interface
public:

	void clear() override;
	
protected:
	
	uint8_t getCursorX() override;

	void setCursor(uint8_t, uint8_t) override;

	void setCursorX(uint8_t) override;

	void writeChar(uint8_t) override;
	
	void setColor(VT100::TextAttr) override;
};	

#endif
